<?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://firma.ws.ecs.edicom.com/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns2="http://schemas.xmlsoap.org/soap/http" xmlns:ns1="http://com.edicom.ecs.firma" name="WebServiceFirmaImplService" targetNamespace="http://firma.ws.ecs.edicom.com/">
  <wsdl:import location="https://ecsweb.sedeb2b.com:9125/EdicomCryptoServer/services/firma?wsdl=WebServiceFirma.wsdl" namespace="http://com.edicom.ecs.firma">
    </wsdl:import>
  <wsdl:binding name="WebServiceFirmaImplServiceSoapBinding" type="ns1:WebServiceFirma">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="signPdf">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signPdf">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signPdfResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="signRsaDigest">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signRsaDigest">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signRsaDigestResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="signSedi">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signSedi">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signSediResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="sign">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="sign">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="signDian">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signDian">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signDianResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getCertificate">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="getCertificate">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getCertificateResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="signAndEncrypt">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signAndEncrypt">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signAndEncryptResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="signPdfCustomized">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="signPdfCustomized">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="signPdfCustomizedResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ECSException">
        <soap:fault name="ECSException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="checkStatus">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="checkStatus">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="checkStatusResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WebServiceFirmaImplService">
    <wsdl:port binding="tns:WebServiceFirmaImplServiceSoapBinding" name="WebServiceFirmaImplPort">
      <soap:address location="https://ecsweb.sedeb2b.com:9125/EdicomCryptoServer/services/firma"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>